Transfer Gift Card or Balance
Transfers an entire gift card or partial amount from one user to another user
- Type: stringuuidrequired
Unique ID of the gift card issued by and maintained in the Punchh system
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringamountrequired
Amount being transferred to a recipient. If the entire available amount on a gift card is selected, the whole card will be transferred.
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringrecipient
_email requiredEmail address of the user to whom the balance / gift card is being transferred. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.
- Type: stringrecipient
_fb _uid requiredFacebook "uid" of the user to whom the balance / gift card is being transferred. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.
- Type: integerFormat: int32recipient
_phone requiredPhone number of the user to whom the balance / gift card is being transferred. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.
- Type: booleanfull
_transfer Whether a gift card should be transferred or not. A "true" value indicates that the gift card itself should be transferred. Following the gift card transfer, the system revokes the original user’s ownership, and the transferee becomes the new owner. A "false" value indicates that only a partial amount should be transferred from the gift card.
- Type: stringpasscode
Secondary authentication PIN that must be passed if it is enabled for a business. It can be turned on/off from the Punchh platform.
- text/plain
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/transfer' \
--request POST \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE",
"recipient_email": "test@example.com",
"recipient_phone": 1111111111,
"recipient_fb_uid": "FB_UID_GOES_HERE",
"passcode": "1234",
"amount": "13",
"full_transfer": false
}'
[
"Your transfer of $13.00 to <user> is bound to come back to you tenfold. It’s the burrito karma, Amigo!"
]